namespace App.UI;

public class MainWindow
{
    public Adw.Window Window { get; }

    public MainWindow()
    {
    var builder = Gtk.Builder.NewFromFile("UI/MainWindow.xml");
        var window = builder.GetObject("main_window") as Adw.Window;
        if (window == null)
            throw new Exception("Failed to load main_window from MainWindow.ui");
        Window = window;
    }
}